> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/product-variant.md).

# Product Variant

Manage product variants via the VARIO Cloud REST API, including creating variants, updating fields, and retrieving schemas and combinations.

the Product-Variant API

## POST /erp/product-variants/productVariantUpdateJob

> Startet einen Job, der die gewählten Bereiche des Variantenhauptartikels auf alle Varianten überträgt

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.36.3"},"tags":[{"name":"Product-Variant","description":"the Product-Variant API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/product-variants/productVariantUpdateJob":{"post":{"tags":["Product-Variant"],"summary":"Startet einen Job, der die gewählten Bereiche des Variantenhauptartikels auf alle Varianten überträgt","operationId":"createProductVariantUpdateRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductVariantUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-product-ProductVariantUpdateRequest":{"properties":{"mainArticleId":{"type":"integer","format":"int64","description":"ID des Hauptartikels"},"fields":{"type":"array","description":"zu übertragende Bereiche","items":{"type":"string","description":"Bereiche, die vom Variantenhauptartikel auf die Variantenartikel übertragen werden können","enum":["PRICES","MANUFACTURER","PRODUCT_GROUP","SUPPLIER_RELATIONS","ARTICLE_DESCRIPTIONS","CUSTOM_FIELDS"]}}},"required":["mainArticleId"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/product-variants/productVariantCreationJob

> Create a Job according to the Request

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.36.3"},"tags":[{"name":"Product-Variant","description":"the Product-Variant API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/product-variants/productVariantCreationJob":{"post":{"tags":["Product-Variant"],"summary":"Create a Job according to the Request","operationId":"createProductVariantCreationRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductVariantCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-product-ProductVariantCreationRequest":{"description":"Request zur Erstellung von Product Varianten","properties":{"mainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"combinations":{"type":"array","description":"combinations of values","items":{"type":"array","description":"combinations of values","items":{"type":"integer","format":"int64","description":"combinations of values"}}},"blackListedCombinations":{"type":"array","description":"blacklisted combinations of values","items":{"type":"array","description":"blacklisted combinations of values","items":{"type":"integer","format":"int64","description":"blacklisted combinations of values"}}},"productType":{"type":"string","description":"Artikelarten","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"createTemplateId":{"type":"integer","format":"int64","description":"Vorlage zum Erstellen der Variantenartikel"}},"required":["productType"]},"core-api-ApiObjectReference":{"description":"Übergeordnete Kategorie","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/product-variants/{mainVariantArticleId}/combinations

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.36.3"},"tags":[{"name":"Product-Variant","description":"the Product-Variant API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/product-variants/{mainVariantArticleId}/combinations":{"get":{"tags":["Product-Variant"],"operationId":"getCombinationsForArticleMainProductVariant","parameters":[{"name":"mainVariantArticleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductVariantCombinationsDto"}}}}}}}},"components":{"schemas":{"erp-product-ProductVariantCombinationsDto":{"properties":{"variantSchema":{"$ref":"#/components/schemas/common-variant-VariantSchema"},"attributes":{"type":"array","description":"Verwendete Attribute","items":{"$ref":"#/components/schemas/common-variant-VariantAttribute"}},"values":{"type":"array","description":"Verwendete Werte","items":{"$ref":"#/components/schemas/common-variant-VariantValue"}},"usedCombinations":{"type":"array","description":"Verwendete Kombinationen","items":{"$ref":"#/components/schemas/erp-product-ProductCombinationDto"}}}},"common-variant-VariantSchema":{"description":"Variantenschema","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung","minLength":1},"description":{"type":"string","description":"Beschreibung"},"attributeRefs":{"type":"array","description":"Zugeordnete Attribute","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"minItems":1},"eligibleValueRefs":{"type":"array","description":"Wählbare Werte","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true}},"required":["attributeRefs","label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Übergeordnete Kategorie","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-variant-VariantAttribute":{"description":"Variantenattribut","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"identifier":{"type":"string","description":"Eindeutiger Identifier","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung"},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"labels":{"type":"array","description":"Bezeichnung (mehrsprachig)","items":{"$ref":"#/components/schemas/common-variant-VariantDescription"},"minItems":1}},"required":["identifier","labels"]},"common-variant-VariantDescription":{"description":"Variantenbeschreibung (mehrsprachig)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung","minLength":1},"languageCode":{"type":"string","description":"Sprache","minLength":1}},"required":["label","languageCode"]},"common-variant-VariantValue":{"description":"Variantenwert","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"attributeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sortOrder":{"type":"integer","format":"int64","description":"Sortierung"},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"abbreviation":{"type":"string","description":"Abkürzung","minLength":1},"unitTypeRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"labels":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/common-variant-VariantDescription"},"minItems":1}},"required":["abbreviation","labels"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-ProductCombinationDto":{"description":"Verwendete Kombinationen","properties":{"article":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"combination":{"type":"array","description":"Wert-Kombination","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}}}}}
```

## GET /erp/product-variants/schema/{variantSchemaId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.36.3"},"tags":[{"name":"Product-Variant","description":"the Product-Variant API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/product-variants/schema/{variantSchemaId}":{"get":{"tags":["Product-Variant"],"operationId":"getProductVariantSchema","parameters":[{"name":"variantSchemaId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductVariantSchema"}}}}}}}},"components":{"schemas":{"erp-product-ProductVariantSchema":{"description":"Variantenschema mit ERP-Konfiguration","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung","readOnly":true},"description":{"type":"string","description":"Beschreibung","readOnly":true},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"attributes":{"type":"array","description":"Zugeordnete Attribute mit Gebinde-Information","items":{"$ref":"#/components/schemas/erp-product-ProductVariantAttribute"},"readOnly":true},"eligibleValueRefs":{"type":"array","description":"Wählbare Werte","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-ProductVariantAttribute":{"description":"Variantenattribut mit ERP-Konfiguration","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"description":{"type":"string","description":"Beschreibung","readOnly":true},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"labels":{"type":"array","description":"Bezeichnung (mehrsprachig)","items":{"$ref":"#/components/schemas/common-variant-VariantDescription"},"readOnly":true},"bundleAttribute":{"type":"boolean","default":false,"description":"Ist dieses Attribut ein Gebinde-Attribut?","readOnly":true},"attributeAssignmentConfigId":{"type":"integer","format":"int64","description":"ID der zugehörigen ERP-Konfiguration","readOnly":true}}},"common-variant-VariantDescription":{"description":"Variantenbeschreibung (mehrsprachig)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung","minLength":1},"languageCode":{"type":"string","description":"Sprache","minLength":1}},"required":["label","languageCode"]},"core-api-ApiObjectReference":{"description":"Übergeordnete Kategorie","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/api-reference/product-variant.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
